﻿// <auto-generated />
using System;
using DataAccess;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace DataAccess.Migrations
{
    [DbContext(typeof(inventory_context))]
    partial class inventory_contextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.10")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("Entities.Category", b =>
                {
                    b.Property<int>("CatId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("cat_id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("CatId"));

                    b.Property<string>("CatCode")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)")
                        .HasColumnName("cat_code");

                    b.Property<string>("CatName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)")
                        .HasColumnName("cat_name");

                    b.HasKey("CatId")
                        .HasName("categories_pkey");

                    b.ToTable("categories", (string)null);

                    b.HasData(
                        new
                        {
                            CatId = 1,
                            CatCode = "HG",
                            CatName = "Hogar"
                        },
                        new
                        {
                            CatId = 2,
                            CatCode = "VJ",
                            CatName = "Video Juegos"
                        },
                        new
                        {
                            CatId = 3,
                            CatCode = "ASH",
                            CatName = "Aseo Hogar"
                        },
                        new
                        {
                            CatId = 4,
                            CatCode = "PFM",
                            CatName = "Perfumeria"
                        },
                        new
                        {
                            CatId = 5,
                            CatCode = "SLD",
                            CatName = "Salud"
                        },
                        new
                        {
                            CatId = 6,
                            CatCode = "ASP",
                            CatName = "Aseo Personal"
                        });
                });

            modelBuilder.Entity("Entities.Product", b =>
                {
                    b.Property<int>("ProdId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("prod_id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("ProdId"));

                    b.Property<int?>("CatId")
                        .HasColumnType("integer")
                        .HasColumnName("cat_id");

                    b.Property<string>("ProdCode")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("character varying(50)")
                        .HasColumnName("prod_code");

                    b.Property<string>("ProdDescription")
                        .IsRequired()
                        .HasMaxLength(600)
                        .HasColumnType("character varying(600)")
                        .HasColumnName("prod_description");

                    b.Property<string>("ProdName")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("character varying(100)")
                        .HasColumnName("prod_name");

                    b.Property<int?>("TotalQuantity")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("total_quantity")
                        .HasDefaultValueSql("0");

                    b.HasKey("ProdId")
                        .HasName("products_pkey");

                    b.HasIndex("CatId");

                    b.ToTable("products", (string)null);

                    b.HasData(
                        new
                        {
                            ProdId = 1,
                            CatId = 1,
                            ProdCode = "HG-MN",
                            ProdDescription = "Mesa de madera fina",
                            ProdName = "Mesita de Noche"
                        },
                        new
                        {
                            ProdId = 2,
                            CatId = 1,
                            ProdCode = "HG-TP",
                            ProdDescription = "Tapete de algodon para comodidad de sus pies",
                            ProdName = "Tapete de Cama"
                        },
                        new
                        {
                            ProdId = 3,
                            CatId = 1,
                            ProdCode = "HG-ER",
                            ProdDescription = "Espejo de repisa para colgar en la pared",
                            ProdName = "Espejo de repisa"
                        },
                        new
                        {
                            ProdId = 4,
                            CatId = 2,
                            ProdCode = "VJ-CLD",
                            ProdDescription = "Juego de Shooter basado en la WWI",
                            ProdName = "Call of Duty"
                        },
                        new
                        {
                            ProdId = 5,
                            CatId = 2,
                            ProdCode = "VJ-HL",
                            ProdDescription = "Juego de Shooter futurista",
                            ProdName = "Hallo"
                        },
                        new
                        {
                            ProdId = 6,
                            CatId = 2,
                            ProdCode = "VJ-FF",
                            ProdDescription = "Juego de Deporte basado en la Liga de futbol de Colombia",
                            ProdName = "Fifa 2018"
                        },
                        new
                        {
                            ProdId = 7,
                            CatId = 3,
                            ProdCode = "ASH-JR",
                            ProdDescription = "Jabon en barra para Ropa",
                            ProdName = "Jabon Rey"
                        },
                        new
                        {
                            ProdId = 8,
                            CatId = 3,
                            ProdCode = "ASH-LP",
                            ProdDescription = "Detergente Desinfectante",
                            ProdName = "Limpido Clorox"
                        },
                        new
                        {
                            ProdId = 9,
                            CatId = 3,
                            ProdCode = "ASH-CP",
                            ProdDescription = "Cepillo de cerda dura",
                            ProdName = "Cepillo de Limpieza"
                        },
                        new
                        {
                            ProdId = 10,
                            CatId = 4,
                            ProdCode = "PFM-CHR",
                            ProdDescription = "Perfume de aroma suave maderal",
                            ProdName = "Carolina Herrera - 212 Masculino"
                        },
                        new
                        {
                            ProdId = 11,
                            CatId = 4,
                            ProdCode = "PFM-JQ",
                            ProdDescription = "Perfume de aroma fuerte",
                            ProdName = "Jaque for Men"
                        },
                        new
                        {
                            ProdId = 12,
                            CatId = 4,
                            ProdCode = "PFM-PRPH",
                            ProdDescription = "Perfume fino de a familia olfativa Oriental Amaderada",
                            ProdName = "Dolce & Gabbana Light Blue pour Homme"
                        },
                        new
                        {
                            ProdId = 13,
                            CatId = 5,
                            ProdCode = "SLD-DL",
                            ProdDescription = "Medicamneto para controlar los sintomas de la gripa",
                            ProdName = "Dolex con Acetaminofen"
                        },
                        new
                        {
                            ProdId = 14,
                            CatId = 5,
                            ProdCode = "SLD-AML",
                            ProdDescription = "Capsula para controlar la presión arterial",
                            ProdName = "Amlodipino 5 mg"
                        },
                        new
                        {
                            ProdId = 15,
                            CatId = 5,
                            ProdCode = "SLD-TCR",
                            ProdDescription = "Cápsula de liberación controlada",
                            ProdName = "Tacrolimus de 2 mg"
                        },
                        new
                        {
                            ProdId = 16,
                            CatId = 6,
                            ProdCode = "ASP-CCG",
                            ProdDescription = "Crema de limpieza dental",
                            ProdName = "Crema de dientes Colgate"
                        },
                        new
                        {
                            ProdId = 17,
                            CatId = 6,
                            ProdCode = "ASP-LST",
                            ProdDescription = "Líquido para limpieza bucal",
                            ProdName = "Listerine"
                        },
                        new
                        {
                            ProdId = 18,
                            CatId = 6,
                            ProdCode = "ASP-SHP",
                            ProdDescription = "Shampoo para limpieza de cabello",
                            ProdName = "Shampoo Head and Shoulders"
                        });
                });

            modelBuilder.Entity("Entities.Storage", b =>
                {
                    b.Property<int>("StorageId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("StorageId"));

                    b.Property<DateTime?>("LastUpdate")
                        .IsRequired()
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("last_update");

                    b.Property<int?>("PartialQuantity")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("partial_quantity")
                        .HasDefaultValueSql("0");

                    b.Property<int?>("ProdId")
                        .IsRequired()
                        .HasColumnType("integer")
                        .HasColumnName("prod_id");

                    b.Property<int?>("WarehouseId")
                        .IsRequired()
                        .HasColumnType("integer")
                        .HasColumnName("warehouse_id");

                    b.HasKey("StorageId")
                        .HasName("storages_pkey");

                    b.HasIndex("ProdId");

                    b.HasIndex("WarehouseId");

                    b.ToTable("storages", (string)null);
                });

            modelBuilder.Entity("Entities.Storage_Transaction", b =>
                {
                    b.Property<int>("STransactionId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("STransactionId"));

                    b.Property<bool>("IsProductIn")
                        .HasColumnType("boolean")
                        .HasColumnName("is_product_in");

                    b.Property<int?>("ProductQuantity")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("prod_quantity")
                        .HasDefaultValueSql("0");

                    b.Property<int?>("StorageId")
                        .HasColumnType("integer")
                        .HasColumnName("storage_id");

                    b.Property<DateTime?>("TransactionDate")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasColumnType("timestamp with time zone")
                        .HasDefaultValue(new DateTime(2022, 11, 7, 0, 12, 1, 706, DateTimeKind.Utc).AddTicks(8803))
                        .HasColumnName("transaction_date");

                    b.HasKey("STransactionId")
                        .HasName("stransactions_pkey");

                    b.HasIndex("StorageId");

                    b.ToTable("storage_transactions", (string)null);
                });

            modelBuilder.Entity("Entities.Warehouse", b =>
                {
                    b.Property<int>("WarehouseId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("WarehouseId"));

                    b.Property<string>("WarehouseAddress")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)")
                        .HasColumnName("warehouse_address");

                    b.Property<string>("WarehouseName")
                        .IsRequired()
                        .HasMaxLength(120)
                        .HasColumnType("character varying(120)")
                        .HasColumnName("warehouse_name");

                    b.HasKey("WarehouseId")
                        .HasName("warehouses_pkey");

                    b.ToTable("warehouses", (string)null);

                    b.HasData(
                        new
                        {
                            WarehouseId = 1,
                            WarehouseAddress = "Calle 6 # 8-76",
                            WarehouseName = "Bodega Norte"
                        },
                        new
                        {
                            WarehouseId = 2,
                            WarehouseAddress = "Calle 90 # 22-189",
                            WarehouseName = "El botellon"
                        },
                        new
                        {
                            WarehouseId = 3,
                            WarehouseAddress = "Avenida 87 # 22-88",
                            WarehouseName = "Micromercado Mercantil"
                        });
                });

            modelBuilder.Entity("Entities.Product", b =>
                {
                    b.HasOne("Entities.Category", "Category")
                        .WithMany("Products")
                        .HasForeignKey("CatId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .HasConstraintName("fk_category");

                    b.Navigation("Category");
                });

            modelBuilder.Entity("Entities.Storage", b =>
                {
                    b.HasOne("Entities.Product", "Product")
                        .WithMany("storages")
                        .HasForeignKey("ProdId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Entities.Warehouse", "Warehouse")
                        .WithMany("storages")
                        .HasForeignKey("WarehouseId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Product");

                    b.Navigation("Warehouse");
                });

            modelBuilder.Entity("Entities.Storage_Transaction", b =>
                {
                    b.HasOne("Entities.Storage", "Storage")
                        .WithMany("transactions")
                        .HasForeignKey("StorageId");

                    b.Navigation("Storage");
                });

            modelBuilder.Entity("Entities.Category", b =>
                {
                    b.Navigation("Products");
                });

            modelBuilder.Entity("Entities.Product", b =>
                {
                    b.Navigation("storages");
                });

            modelBuilder.Entity("Entities.Storage", b =>
                {
                    b.Navigation("transactions");
                });

            modelBuilder.Entity("Entities.Warehouse", b =>
                {
                    b.Navigation("storages");
                });
#pragma warning restore 612, 618
        }
    }
}
